# Generated by Django 5.1.5 on 2025-02-01 17:29
import datetime as dt

from django.db import migrations, models
from django.utils.timezone import get_default_timezone


def set_started(apps, schema_editor):
    Checklist = apps.get_model("checklists", "Checklist")
    for checklist in Checklist.objects.all():
        if checklist.time is None:
            time = dt.time(12, 0, 0, 0)
        else:
            time = checklist.time

        checklist.started = dt.datetime.combine(
            checklist.date, time, tzinfo=get_default_timezone()
        )
        checklist.save()


class Migration(migrations.Migration):
    dependencies = [
        ("checklists", "0004_add_json_fields"),
    ]

    operations = [
        migrations.AddField(
            model_name="checklist",
            name="started",
            field=models.DateTimeField(
                blank=True,
                help_text="The date and time the checklist was started.",
                null=True,
                verbose_name="date & time",
            ),
        ),
        migrations.AlterField(
            model_name="checklist",
            name="date",
            field=models.DateField(
                help_text="The date the checklist was started.", verbose_name="date"
            ),
        ),
        migrations.RunPython(set_started),
    ]
